## IAnjutaPrint IAnjutaPrint — Print interface |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_print_error_quark ()
void | ianjuta_print_print ()
void | ianjuta_print_print_preview ()

## Types and Values

#define | IANJUTA_PRINT_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaPrint

## Includes

    #include <libanjuta/interfaces/ianjuta-print.h>

## Description

## Functions

### ianjuta_print_error_quark ()

    GQuark
    ianjuta_print_error_quark (void);

#### Returns

### ianjuta_print_print ()

    void
    ianjuta_print_print (IAnjutaPrint *obj,
                         GError **err);

Print the plugin (the file in case of the editor). In most cases this will show a print dialog

#### Parameters

obj | Self |
err | Error propagation and reporting. |

### ianjuta_print_print_preview ()

    void
    ianjuta_print_print_preview (IAnjutaPrint *obj,
                                 GError **err);

Show print preview dialog

#### Parameters

obj | Self |
err | Error propagation and reporting. |

## Types and Values

### IANJUTA_PRINT_ERROR

    #define IANJUTA_PRINT_ERROR ianjuta_print_error_quark()